<script>
    import { onMount } from 'svelte';

    export let chartData;

    const chartOpts = {
        lineSmooth: false,
        axisY: {
            onlyInteger: true,
            low: 0,
        },
    }

    onMount(async() => {
        let labels = [];
        let thisSeries = [];
        chartData.forEach(element => {
            labels.push(element[0].replace('2020-', ''));
            thisSeries.push(element[1]);
        });

        new Chartist.Line('.ct-chart-elm', { labels, series: [thisSeries] }, chartOpts);
    })
    
</script>

<h2>Chart</h2>
<div class="ct-chart-elm ct-perfect-fourth"></div>